curl --request POST \
--url https://{host}/payment/v1/payments \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"paymentLocation": "<string>",
"receiptId": "<string>",
"memberId": "<string>",
"operationId": "<string>",
"amount": 1,
"requestMemberConfirmation": true
}
'import requests
url = "https://{host}/payment/v1/payments"
payload = {
"paymentLocation": "<string>",
"receiptId": "<string>",
"memberId": "<string>",
"operationId": "<string>",
"amount": 1,
"requestMemberConfirmation": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
paymentLocation: '<string>',
receiptId: '<string>',
memberId: '<string>',
operationId: '<string>',
amount: 1,
requestMemberConfirmation: true
})
};
fetch('https://{host}/payment/v1/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"paymentId": "<string>"
}{
"name": "<string>",
"message": "<string>",
"details": null
}Create POS payment
If requestMemberConfirmation = true, then this payment should be confirmed by member. Otherwise - will try to confirm payment automatically using ‘Bonus’ payment type.
Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Body
Payment location. Concatenation of StoreId + Terminal Id
1 - 128Unique payment identifier
1 - 64Id of member who checked in on the POS, who suppose to pay for the purchase Must contain latin alphanumeric characters, max length 32. Allowed special characters: '-', '_'
1 - 36Unique identifier of initiate payment operation (should be same only for retries of the same operation)
1 - 64Amount to pay
x >= 0Determines whether member confirmation is needed for this payment
Response
OK
Payment id used to manage initiated payment and retrieve payment status
1